using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
        CategoryBuilder.Create("Metra", "maybe",ModAPI.LoadSprite("View.png"));

        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Loricor Mk 1 Military Undersuit -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "The Loricor Mk1 is an extroadinarily cheap but effective combat suit. It is bulletproof, modular and airtight.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranUndersuit-Thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranUndersuit.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
                NameOverride = "Aphram V-I37 -MTE", 
                NameToOrderByOverride = "Z",
                DescriptionOverride = "A simple to handle handgun with vast stopping power and a heavy duty design suitable for bashing skulls when the magazine is empty.", 
                CategoryOverride = ModAPI.FindCategory("Metra"), 
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranHandcannon-Thumb.png"), 
                AfterSpawn = (Instance) => 
                {

                                ModAPI.KeepExtraObjects();

                                var GunSlide = Instance.transform.Find("Slide");
                                GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranHandcannonSlide.png");
                                GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;
                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranHandcannon.png");
                                Instance.FixColliders();  
                                Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.3f, 0.11f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();

                    
                    Cartridge customCartridge = ModAPI.FindCartridge("50 AE"); 
                    customCartridge.name = "Chungus"; 
                    customCartridge.Damage *= 4f; 
                    customCartridge.StartSpeed *= 1f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.3f; 
                    customCartridge.Recoil *= 1f; 
                    customCartridge.ImpactForce *= 4f; 

                    
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/Handcannon.wav"),
                    };


                    Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
                    {
                    new Vector3(-0.20f, -0.05f)
                    };


            }
        }
    );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor B-27X Combat Helmet -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "A marvel of engineering fitted with a translator, nigh vision and advanced transponder.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 70;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/MetranHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(115, 15, 20, 100);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                    
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Upper -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetraUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetraUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Middle -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Lower -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranLower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Front Shoulder -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranUArmFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranUArmFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Shoulder -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranUArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranUArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Leg -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Front Leg -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranLegFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranLegFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Lower Leg -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetraLLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetraLLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Ballistic Webbing MK2 Front Lower Leg -MTE",
                    NameToOrderByOverride = "DA",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetraLLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetraLLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
                NameOverride = "Aphram Model-X6 -MTE",
                NameToOrderByOverride = "Z", 
                DescriptionOverride = "The X6 was orginally designed to arm metranese police, but it's reliability means it is used by countless others. It is a robust and efficient design capable of breaching doors and eliminating hostiles.", 
                CategoryOverride = ModAPI.FindCategory("Metra"), 
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/PoliceShotgun-Thumb.png"), 
                AfterSpawn = (Instance) => 
                {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PoliceShotgun.png");
                        Instance.FixColliders(); 
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.65f, 0.10f);
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 7;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                        customCartridge.name = "Popo"; 
                        customCartridge.Damage *= 0.8f; 
                        customCartridge.StartSpeed *= 1.5f; 
                        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f; 
                        customCartridge.Recoil *= 1.2f; 
                        customCartridge.ImpactForce *= 4.4f; 
                        firearm.EjectShells = true;
                        firearm.casingPosition = new Vector2(0.06f, 0.14f);
                        firearm.InitialInaccuracy = 0.09f;
                        firearm.Cartridge = customCartridge;

			firearm.barrelPosition = new Vector3(0.66f, 0.07f);

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PoliceShotgunSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/PoliceShotgunCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;
                    
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/Popo-shotgun.wav"),
                    };

                }
            }
        );
        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Naked Metran -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Naked and afraid.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Metran-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/Metran.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Archbishop -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "The leader of the Church of Ackra, supreme head of state for the empire.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Archbishop-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/Archbishop.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Civilian 1 -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Clothed and calm.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Civ1-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranCiv1.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Civilian 2 -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Clothed and calm.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Civ2-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranCiv2.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Civilian 3 -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Clothed and calm.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Civ3-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranCiv3.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Heavy Police  -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "More heavily equipped for riots than their lighter counterparts.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HP-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranHPolice.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
                        body.PhysicalBehaviour.ForceNoCharge = true;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Light Police -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "A more civilised and lesser equipped police unit, more of a civil servant than a hand of the law.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LP-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranLPolice.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Officer -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Commanding officer of a squad or platoon of men.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Officer-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranOfficerUndersuit.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Pilot -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Incredibly well trained and skilled pilots of the Holy Fleet.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pilot-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranPilotUndersuit.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Sailor (Normal) -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "A regular crew member on any ship in the Holy Fleet.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Sailor-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranSailor.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Sailor (Captain) -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "The commander of an entire ship or sometimes even a strike force.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorCap-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranSailorCap.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Sailor (Engineer) -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "A specialist engineer onboard Holy Fleet vessels.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorEng-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranSailorEng.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Sailor (Medic) -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Onboard medical professional for any injuries on a vessel.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorMed-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranSailorMed.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Sailor (Officer) -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "A section leader that may command a group of sailors or security forces, answers only to ship captains.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorOff-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranSailorOff.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Sailor (Security) -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Dedicated onboard security for lower class vessels and merchant ships.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorSec-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MetranSailorSec.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Metran Marine -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Heavily armoured and highly skilled, Marines protect higher class vessels, as well as performing boardings and landings.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Marine-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/MarineUndersuit.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Non Combat Uniform (Air Force) -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Non combat parade uniform of the Air Force.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCAF-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/NCAF.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Non Combat Uniform (Infantry) -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Non combat parade uniform of the Infantiers.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCInf-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/NCInfantry.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Non Combat Uniform (Knights of Ackra) -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Non combat parade uniform of the KOA.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCKOA-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/NCKOA.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 3500f;
                        body.InitialHealth = 3500f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 50f;
			            body.RegenerationSpeed = 5f;
			            body.ImpactPainMultiplier *= 0f;
                        body.PhysicalBehaviour.ForceNoCharge = true;
                           body.CirculationBehaviour.ImmuneToDamage = true;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Knight of Ackra -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "The legendary and revered SF unit, galactically famous for their quality and efficacy.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOA-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/KOAUndersuit.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 4f;
                        body.Health = 3500f;
                        body.InitialHealth = 3500f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 50f;
			            body.RegenerationSpeed = 5f;
			            body.ImpactPainMultiplier *= 0f;
                        body.PhysicalBehaviour.ForceNoCharge = true;
                        body.CirculationBehaviour.ImmuneToDamage = true;
                        body.IsAndroid = true;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Reverend -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "A giant genetically modified metran created to conduct mass prayers and lead soldiers into battle.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendUndersuit-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/ReverendUndersuit.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 4f;
                        body.Health = 2500f;
                        body.InitialHealth = 2500f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 50f;
			            body.RegenerationSpeed = 5f;
			            body.ImpactPainMultiplier *= 0f;
                        body.PhysicalBehaviour.ForceNoCharge = true;
                        body.IsAndroid = true;
                        body.CirculationBehaviour.ImmuneToDamage = true;
                        body.Wince(0f);
			             body.gameObject.AddComponent<StaticConsciousnessBehaviour>();
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11);
            
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Non Combat Uniform (Marine) -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Non combat parade uniform of the Marines.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCMarine-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/NCMarine.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Non Combat Uniform (Navy) -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Non combat parade uniform of the Navy.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCNavy-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/NCNavy.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Non Combat Uniform (Officer) -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Non combat parade uniform of the Officer Corps.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCOfficer-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/NCOfficer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Parade Officer Uniform -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "The sole purpose of this unit is to direct drill and parades.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ParadeOfficer-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/ParadeOfficer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			            var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	    body.BaseStrength = 14f;
                        body.Health = 20f;
                        body.InitialHealth = 20f;
                        body.ShotDamageMultiplier = 0f;
                       	body.BreakingThreshold = 10f;
			            body.RegenerationSpeed = 2f;
			            body.ImpactPainMultiplier *= 0f;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-45N Knight Helmet -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Helmet used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/KoaHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(193, 182, 60, 100);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Chest) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Middle) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Lower) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOALower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOALower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Upper Leg Front) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAULeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAULeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Upper Leg) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAULeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAULeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Upper Arm Front) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAUArmFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAUArmFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Upper Arm) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAUArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAUArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Lower Arm Front) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOALArmFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOALArmFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/KOALArmFrontGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(193, 182, 60, 100);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Lower Arm) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOALArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOALArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Lower Leg Front) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOALLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOALLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor R-11M Battle Suit (Lower Leg) -MTE",
                    NameToOrderByOverride = "DB",
                    DescriptionOverride = "Battle suit used by the Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOALLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOALLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor B-27M Marine Helmet -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Helmet used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/MarineHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(115, 15, 20, 100);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Chest) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Middle) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Lower) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineLower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Upper Leg Front) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineULFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineULFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Upper Leg) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineUL-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineUL.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Upper Arm Front) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineUAFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineUAFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Upper Arm) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineUA-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineUA.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Lower Arm Front) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineLAFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineLAFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Lower Arm) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineLA-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineLA.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Lower Leg Front) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineLLFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineLLFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor M-22 Battle Suit (Lower Leg) -MTE",
                    NameToOrderByOverride = "DC",
                    DescriptionOverride = "Battle suit used by the Metran Marine Corps.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MarineLL-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MarineLL.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Officer Ballistic Webbing MK2 Upper -MTE",
                    NameToOrderByOverride = "DD",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranOfficerUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranOfficerUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Officer Ballistic Webbing MK2 Middle -MTE",
                    NameToOrderByOverride = "DD",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranOfficerMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranOfficerMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor OfficerBallistic Webbing MK2 Lower -MTE",
                    NameToOrderByOverride = "DD",
                    DescriptionOverride = "An incredible contribution to infantry body armour, the MK2's only weakness is that it can be cumbersome to wear.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranOfficerLower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranOfficerLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor B-27X Officer Helmet -MTE",
                    NameToOrderByOverride = "DD",
                    DescriptionOverride = "Helmet used by the Metran Officers.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranOfficerHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranOfficerHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/MetranOfficerHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(201, 157, 54, 75);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor HA-28 Pilot Helmet -MTE",
                    NameToOrderByOverride = "DE",
                    DescriptionOverride = "Sealed helmet for pilots and air crew.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranPilotHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranPilotHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/MetranPilotHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(96, 132, 193, 100);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Pilot Webbing Upper -MTE",
                    NameToOrderByOverride = "DE",
                    DescriptionOverride = "A lightweight webbing assortment for pilots.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranPilotUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranPilotUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Pilot Webbing Middle -MTE",
                    NameToOrderByOverride = "DE",
                    DescriptionOverride = "A lightweight webbing assortment for pilots.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranPilotMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranPilotMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Pilot Webbing Lower -MTE",
                    NameToOrderByOverride = "DE",
                    DescriptionOverride = "A lightweight webbing assortment for pilots.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranPilotLower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranPilotLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 40;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Police Cap -MTE",
                    NameToOrderByOverride = "DG",
                    DescriptionOverride = "Your average police officer wears these.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranPoliceCap-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranPoliceCap.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Sailor Captain Hat -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Quite drippy.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranSailorCapHat-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranSailorCapHat.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Navy Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Beret for on duty sailors.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NavalBeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/NavalBeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Air Force Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade beret for Air Force.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCAFBeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/NCAFBeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Infantry Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade beret for Infantiers.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCInfantryBeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/NCInfantryBeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Marine Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade beret for Air Force.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCMarineBeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/NCMarineBeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Non Combat Naval Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade beret for the Navy.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCNavalBeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/NCNavalBeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Officer Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade beret for Officers.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/NCOfficerBeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/NCOfficerBeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Parade Officer Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade beret for Parade Officers.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ParadeBeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ParadeBeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Parade Belt -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade belt for Parade Officers.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ParadeBelt-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ParadeBelt.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Knights of Ackra Beret -MTE",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Parade beret for Knights of Ackra.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOABeret-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOABeret.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 10;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Riot Police Helmet -MTE",
                    NameToOrderByOverride = "DG",
                    DescriptionOverride = "Lighter protective helmet for riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HPHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HPHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Riot Police Chestplate -MTE",
                    NameToOrderByOverride = "DG",
                    DescriptionOverride = "Medium protective armour for riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HPUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HPUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Riot Police Middle -MTE",
                    NameToOrderByOverride = "DG",
                    DescriptionOverride = "Medium protective armour for riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HPMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HPMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Riot Police Lower -MTE",
                    NameToOrderByOverride = "DG",
                    DescriptionOverride = "Medium protective armour for riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HPLower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HPLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor SR-9 Marksman Helmet -MTE",
                    NameToOrderByOverride = "DE",
                    DescriptionOverride = "A helmet with built in range finder, tactical screen, night vision etc.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranSniperHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranSniperHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/MetranSniperHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(115, 15, 20, 100);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-3 Heavy Riot Helmet -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "A heavily armoured helmet for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/SHPHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(232, 232, 232, 10);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Chest) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Middle) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Lower) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPLower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Shoulder Front) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPArmFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPArmFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/SHPArmFrontGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(232, 232, 232, 10);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Shoulder) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Upper Leg Front) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPUpperLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPUpperLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Upper Leg) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPUpperLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPUpperLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Lower Leg Front) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPLowerLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPLowerLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Lower Leg) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPLowerLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPLowerLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Lower Arm Front) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPLArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPLArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor L-6 Heavy Riot Gear (Lower Arm) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "Heavily armoured riot gear for super heavy riot police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPLArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPLArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor S-78 Police Vest (Upper) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "A super light vest for ordinary police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SuperLightVest-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SuperLightVest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor S-78 Police Vest (Middle) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "A super light vest for ordinary police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SuperLightVest2-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SuperLightVest2.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor S-78 Police Vest (Lower) -MTE",
                    NameToOrderByOverride = "DF",
                    DescriptionOverride = "A super light vest for ordinary police.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SuperLightBelt-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SuperLightBelt.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Archbishop's Mask -MTE",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "A decorative mask to keep the identity of the Archbishop hidden.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ArchbishopMask-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ArchbishopMask.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Sailor Security Mask -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "An emergency mask for naval security when there is a breach or enemies on board.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorSecMask-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SailorSecMask.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Captain Shoulderpads Front -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Decorative shoulder piece.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorCapShoulderFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SailorCapShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Captain Shoulderpads -MTE",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Decorative shoulder piece.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SailorCapShoulder-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SailorCapShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 70f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram AW-18 Bullpup Rifle -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Compact and efficient rifle in a bullpup design.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/BullpupRifle-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/BullpupRifle.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "Rifle Round";
                    firearm.AutomaticFireInterval = 0.1f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 5.5f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 2f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/BullpupRifle.wav"),
                    };
                    customCartridge.Recoil *= 0.2f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/BullpupRifleSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/BullpupRifleCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.5f, 0.04f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram L-99 Battle Rifle -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A sleek and efficient rifle used by the KOA.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAAR-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAAR.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "KOA Round";
                    firearm.AutomaticFireInterval = 0.1f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 7f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 3.5f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/BullpupRifle.wav"),
                    };
                    customCartridge.Recoil *= 0.4f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAARSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/KOAARCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.55f, 0.06f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram BR-4 Automatic Shotgun -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Deadly and compact shotgun used by the KOA.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAShotgun-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAShotgun.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 8;
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "KOA Shell"; 
                        firearm.Automatic = true;
                        firearm.AutomaticFireInterval = 0.2f;
                        customCartridge.Damage *= 2.5f; 
                        customCartridge.StartSpeed *= 3f; 
                        customCartridge.PenetrationRandomAngleMultiplier *= 0.3f; 
                        customCartridge.Recoil *= 0.5f; 
                        customCartridge.ImpactForce *= 6f; 
                        firearm.EjectShells = true;
                        firearm.InitialInaccuracy = 0.15f;
                        firearm.Cartridge = customCartridge;
                        firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/HeavyShotgun.wav"),
                    };

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAShotgunSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/KOAShotgunCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.56f, 0.08f);

                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram Y-32 Assault Rifle -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "The standard rifle for Metranese Infantry.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranAR-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranAR.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "Rifle Round";
                    firearm.AutomaticFireInterval = 0.1f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 5f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 3f; 
                    firearm.Cartridge = customCartridge;
                
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/Battlerifle.wav"),
                    };
                    customCartridge.Recoil *= 0.2f;
                    

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranARSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/MetranARCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.7f, 0.09f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram P-2 DMR -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Powerful and accurate DMR.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranDMR-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranDMR.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "DMR Round";
                        customCartridge.Damage *= 8f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 6.5f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/DMR.wav"),
                    };
                    customCartridge.Recoil *= 0.7f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranDMRSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/MetranDMRCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.7f, 0.05f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Metranese Ceremonial Rifle -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A ceremonial rifle used for parades and ceremonies.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranRifle-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranRifle.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "Rifle Round";
                        customCartridge.Damage *= 3f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 3.5f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0.4f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranRifleSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.92f, 0.08f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram BR-7 Bullpup Shotgun -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Standard shotgun for Metranese infantry.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranShotgun-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranShotgun.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 8;
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "Shotgun Shell"; 
                        firearm.Automatic = true;
                        firearm.AutomaticFireInterval = 0.4f;
                        customCartridge.Damage *= 3f; 
                        customCartridge.StartSpeed *= 3f; 
                        customCartridge.PenetrationRandomAngleMultiplier *= 0.3f; 
                        customCartridge.Recoil *= 0.5f; 
                        customCartridge.ImpactForce *= 6f; 
                        firearm.EjectShells = true;
                        firearm.InitialInaccuracy = 0.2f;
                        firearm.Cartridge = customCartridge;
                        firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/HeavyShotgun.wav"),
                    };

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranShotgunSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/MetranShotgunCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.55f, 0.07f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram SR-4 SMG -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "The standard SMG for Metranese Infantry.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranSMG-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranSMG.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "SMG Round";
                    firearm.AutomaticFireInterval = 0.1f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 2.5f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 4f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/SMG.wav"),
                    };
                    customCartridge.Recoil *= 0.2f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranSMGSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/MetranSMGCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.45f, 0.07f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram BR-12 Heavy Police Shotgun -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Carried by super heavy riot police.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPShotgun-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPShotgun.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 8;
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "SHP Shell"; 
                        firearm.Automatic = true;
                        firearm.AutomaticFireInterval = 0.4f;
                        customCartridge.Damage *= 3.5f; 
                        customCartridge.StartSpeed *= 4f; 
                        customCartridge.PenetrationRandomAngleMultiplier *= 0.3f; 
                        customCartridge.Recoil *= 0.5f; 
                        customCartridge.ImpactForce *= 6f; 
                        firearm.EjectShells = true;
                        firearm.InitialInaccuracy = 0.2f;
                        firearm.Cartridge = customCartridge;
                        firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/HeavyShotgun.wav"),
                    };

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPShotgunSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/SHPShotgunCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;
                    var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/SHPShotgunGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(232, 232, 232, 10);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

			firearm.barrelPosition = new Vector3(0.56f, 0.07f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Aphram ISW-2 LMG -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "The standard LMG for Metranese Infantry.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranLMG-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranLMG.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
                    customCartridge.name = "LMG Round";
                    firearm.AutomaticFireInterval = 0.1f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 5f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 6f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/LMG.wav"),
                    };
                    customCartridge.Recoil *= 0.5f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranLMGSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

            		var Cover = new GameObject("Cover");
            		Cover.transform.SetParent(Instance.transform);
            		Cover.transform.rotation = Instance.transform.rotation;
            		Cover.transform.localPosition = new Vector3(0f, 0f);
            		Cover.transform.localScale = new Vector3(1f, 1f);
            		var CoverSprite = Cover.AddComponent<SpriteRenderer>();
            		CoverSprite.sprite = ModAPI.LoadSprite("Sprites/MetranLMGCover.png");
                        CoverSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.73f, 0.09f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Aphram SA-3 Handgun -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Standard issue handgun for KOA operatives",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KOAPistol-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAPistol.png");
                            var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
                    customCartridge.name = "Handgun Round";
                        customCartridge.Damage *= 3.5f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 4f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/Handgun.wav"),
                    };
                    customCartridge.Recoil *= 0.2f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KOAPistolSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.22f, 0.1f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Aphram SA-8 Handgun -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Standard issue handgun for Metran Infantry",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranHandgun-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranHandgun.png");
                            var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
                    customCartridge.name = "Handgun2 Round";
                        customCartridge.Damage *= 3.5f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 4f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/Handgun.wav"),
                    };
                    customCartridge.Recoil *= 0.2f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranHandgunSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.22f, 0.08f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Aphram SA-1 Silenced Handgun -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Handgun for stealthier missions",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranSilencedHandgun-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranSilencedHandgun.png");
                            var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
                    customCartridge.name = "Handgun3 Round";
                        customCartridge.Damage *= 3.5f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 4f; 
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/SuppressedHandgun.wav"),
                    };
                    customCartridge.Recoil *= 0.2f;

                        ModAPI.KeepExtraObjects();
                        var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranSilencedHandgunSlide.png");
                        Slide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

			firearm.barrelPosition = new Vector3(0.32f, 0.08f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor CA-1 Reverend Helmet -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "A terrifying symbol of the Church's power, the last thing many will see.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendHelmet-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 120;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/ReverendHelmetGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(201, 157, 54, 75);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Chest) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendUpper-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendUpper.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 120f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 120;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Middle) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendMiddle-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 120f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 120;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Lower) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendLower-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 120f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 120;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Shoulder Front) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendUArmFront-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendUArmFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Shoulder) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendUArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendUArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Lower Arm Front) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendLowerArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendLowerArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Lower Arm) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendLowerArm-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendLowerArm.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Upper Leg) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendUpperLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendUpperLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
    ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Upper Leg Front) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendUpperLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendUpperLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Lower Leg) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendLowerLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendLowerLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Lower Leg Front) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendLowerLeg-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendLowerLeg.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Boot Front) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendBoot-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Loricor Reverend Armour (Boot) -MTE",
                    NameToOrderByOverride = "DH",
                    DescriptionOverride = "An armour piece for the gigantic warrior priests.", 
                    CategoryOverride = ModAPI.FindCategory("Metra"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendBoot-Thumbnail.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 90f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 90;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;  
                    Instance.FixColliders();
                    var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                    Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
                    NameOverride = "Metranese Banner -MTE",
                    DescriptionOverride = "A flagpole with the banner of Metra on it. ",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendBanner-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendBanner.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Riot Police Baton -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "An electric baton carried by riot police.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ElectricBaton-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ElectricBaton.png");

                    Instance.GetOrAddComponent<NoTemperature>();
                    Instance.GetOrAddComponent<CustomGlowBattery>().TargetCharge = 10f;
                    Instance.GetComponent<CustomGlowBattery>().GlowSprite = ModAPI.LoadSprite("EKnifeGlow.png");
                    Instance.GetComponent<CustomGlowBattery>().Colour = new Color32(0, 0, 0, 0);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Electric Police Prod -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Administers a small shock, keeps rioters in line.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ElectricProd-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ElectricProd.png");

                    Instance.GetOrAddComponent<NoTemperature>();
                    Instance.GetOrAddComponent<CustomGlowBattery>().TargetCharge = 10f;
                    Instance.GetComponent<CustomGlowBattery>().GlowSprite = ModAPI.LoadSprite("EKnifeGlow.png");
                    Instance.GetComponent<CustomGlowBattery>().Colour = new Color32(0, 0, 0, 0);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Metranese Bayonet -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Fix bayonets.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranBayonet-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranBayonet.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Metranese Combat Knife -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Standard melee weapon.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranKnife-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranKnife.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parade Stick -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Makes you look important.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ParadeStick-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ParadeStick.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Police Baton -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "The more tame baton for regular police.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/PoliceBaton-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PoliceBaton.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Riot Buckler -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A small shield for riot police.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPBuckler-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPBuckler.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Riot Tower Shield -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Full body shield for riot police.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHPTower-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SHPTower.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Binoculars -MTE",
                    NameToOrderByOverride = "Y",
                    DescriptionOverride = "See far.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranBinocs-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranBinocs.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sticky Grenade"),
                    NameOverride = "Metran Sticky Grenade -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Sticks to stuff then kills it.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranStickyGrenade-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranStickyGrenade.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
                    NameOverride = "Metran Frag Grenade -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Blows up.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranFrag-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranFrag.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "Aphram TA-13 Grenade Launcher -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Launches Grenades.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranGL-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranGL.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "Underbarrel Grenade Launcher -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Launches Grenades, but underbarrel.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/UBGrenadeLauncher-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/UBGrenadeLauncher.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Laser Pointer"),
                    NameOverride = "Underbarrel Laser Pointer -MTE",
                    NameToOrderByOverride = "Y",
                    DescriptionOverride = "Helps you aim.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MetranLP-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MetranLP.png");
                        Instance.GetComponent<LaserBehaviour>().barrelPosition = new Vector3(0.01f,-0.014f);
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stunner"),
                    NameOverride = "Riot police taser -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Zap.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Taser-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Taser.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Accumulator"),
                    NameOverride = "Accumulator -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Better than a battery but worse than a generator.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Accumulator-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Accumulator.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Armour Rod 1 -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Plasmo-Steel rod used for armouring vehicles.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ArmourRod1-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ArmourRod1.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Armour Rod 2 -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Plasmo-Steel rod used for armouring vehicles.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ArmourRod2-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ArmourRod2.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Armour Rod 3 -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Plasmo-Steel rod used for armouring vehicles.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ArmourRod3-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ArmourRod3.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Battery"),
                    NameOverride = "Battery -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Small electrical charge.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Battery-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Battery.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Industrial Gyrostabiliser"),
                    NameOverride = "Industrial stability device -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Keeps stuff level.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/BigStabilizer-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/BigStabilizer.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Cabinet -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Aesthetic.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cabinet-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cabinet.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bus Chair"),
                    NameOverride = "Seat -MTE",
                    DescriptionOverride = "Sit down.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Chair-Thumbnail.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
                            ModAPI.LoadSprite("Sprites/Chair.png"),

                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Chest -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Stores stuff (Doesn't really).",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Chest-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Chest.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Crate -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Big box.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Crate-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Crate.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Desk -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Nerds sit here and do work.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Desk-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Desk.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Generator"),
                    NameOverride = "Generator -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Generates a large amount of electricity.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Generator-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Generator.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Small I-Beam"),
                    NameOverride = "HE Shell -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "High Explosive Shell (Doesn't explode).",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HEShell-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HEShell.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Dampening Box"),
                    NameOverride = "Hoverbox -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Floats around.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Hoverbox-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Hoverbox.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Small I-Beam"),
                    NameOverride = "ID Shell -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Identanite Shell (Doesn't explode).",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/IDShell-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/IDShell.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Key Trigger"),
                    NameOverride = "Key Trigger -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Press it.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/KeyTrigger-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/KeyTrigger.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Laser Pointer"),
                    NameOverride = "Laser pointer -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Shine this in people's eyes.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LaserPointer-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/LaserPointer.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Monitor -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Glows.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Monitor-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                   	Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Monitor.png");

                   	Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new Vector3[0];

                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

            		Instance.GetOrAddComponent<CustomGlowBattery>().TargetCharge = 0f;
            		Instance.GetComponent<CustomGlowBattery>().GlowSprite = ModAPI.LoadSprite("Sprites/MonitorGlow.png");
            		Instance.GetComponent<CustomGlowBattery>().Colour = new Color32(115, 15, 20, 6);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rotor"),
                    NameOverride = "Rotor -MTE",
                    DescriptionOverride = "Spinny.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Rotor-Thumbnail.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/RotorBase.png");
                        Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Rotor.png");
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Motorised Wheel"),
                    NameOverride = "Motor Wheel -MTE",
                    DescriptionOverride = "Wheel.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Motor-Thumbnail.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Motor.png");
                        Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Wheel.png");
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Small I-Beam"),
                    NameOverride = "Bed -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Comfy metal.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MTEBed-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MTEBed.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pipe -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Pipes.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pipe-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Pipe.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bent Pipe -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Pipes, but bendy.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/PipeBend-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PipeBend.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Radio"),
                    NameOverride = "Radio -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Roger that.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Radio-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Radio.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Structural Pillar"),
                    NameOverride = "Reverend Shield -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Huge.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendShield-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                   	Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendShield.png");

                   	Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new Vector3[0];

                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                    Instance.GetOrAddComponent<NoTemperature>();
                    Instance.GetOrAddComponent<CustomGlowBattery>().TargetCharge = 30f;
            		Instance.GetComponent<CustomGlowBattery>().GlowSprite = ModAPI.LoadSprite("Sprites/ReverendShieldGlow.png");
            		Instance.GetComponent<CustomGlowBattery>().Colour = new Color32(201, 157, 54, 75);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Servo"),
                    NameOverride = "Servo -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Rotates to an angle.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Servo-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ServoBase.png");
                        Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Servo.png");
                        Instance.transform.GetChild(1).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ServoArm.png");
            		UnityEngine.Object.Destroy(Instance.GetComponent<DamagableMachineryBehaviour>());
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Structural Pillar"),
                    NameOverride = "Structural Pillar -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Tall.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/StructuralPillar-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/StructuralPillar.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Thruster"),
                    NameOverride = "Thruster -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Zoom.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Thruster-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Thruster.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Valve -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Doesn't twist, looks cool.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Valve-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Valve.png");
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Industrial Piston"),
                    NameOverride = "Heavy Piston -MTE",
                    NameToOrderByOverride = "X",
                    DescriptionOverride = "Big piston.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/BigPiston-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/BigPiston.png");
                        Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/BigPistonHead.png");
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Hammer"),
                    NameOverride = "Reverend Axe",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A gigantic and legendary holy weapon that Reverends use",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendAxe-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendAxe.png");
                        Instance.GetComponent<SpriteRenderer>().material = ModAPI.FindMaterial("Sprites-Default");
                        Instance.FixColliders();

                        Instance.GetOrAddComponent<Warmth>();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.ForceNoChargeParticles = true;
                        phys.Properties = ModAPI.FindPhysicalProperties("Bulletproof");
                                            Instance.GetOrAddComponent<NoTemperature>();
                        Instance.GetOrAddComponent<CustomGlowBattery>().TargetCharge = 100f;
            		    Instance.GetComponent<CustomGlowBattery>().GlowSprite = ModAPI.LoadSprite("Sprites/ReverendAxeGlow.png");
            		    Instance.GetComponent<CustomGlowBattery>().Colour = new Color32(201, 157, 54, 75);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                        Instance.GetComponent<PhysicalBehaviour>().ReflectsLasers = true;
                        Instance.GetComponent<PhysicalProperties>().BulletSpeedAbsorptionPower = 600f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pulse Drum"),
                    NameOverride = "Reverend Shockwave Fist -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Poonf.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendPulseFist-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendPulseFist.png");
                        Instance.GetComponent<PulseDrumBehaviour>().BaseForce = 100f;
                        Instance.GetComponent<PulseDrumBehaviour>().ChargeInfluence = 100f;
                        Instance.FixColliders();
                            var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/ReverendPulseFistGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(201, 157, 54, 75);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Magnum Revolver"),
                    NameOverride = "Aphram Repentance Hand Cannon -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A beast brought into the world by Ackra himself.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendPistol-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Repentance.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 8;
                    Cartridge customCartridge = ModAPI.FindCartridge("50 BMG"); 
                    customCartridge.name = "Repent"; 
                        customCartridge.Damage *= 15f; 
                        customCartridge.StartSpeed *= 10f; 
                        customCartridge.PenetrationRandomAngleMultiplier *= 0f; 
                        customCartridge.Recoil *= 0.1f; 
                        customCartridge.ImpactForce *= 8f; 
                        firearm.InitialInaccuracy = 0f;
                        firearm.Cartridge = customCartridge;
                        firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("Sounds/RevPistol.wav"),
                    };

                    var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/RepentanceGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(201, 157, 54, 75);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

			        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.3f, 0.11f);
                    }
                    
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Physics Gun"),
                    NameOverride = "Reverend Gravity Manipulator -MTE",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "Grab stuff and throw it around.",
                    CategoryOverride = ModAPI.FindCategory("Metra"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ReverendGravManipulator-Thumbnail.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ReverendGravManipulator.png");
                        Instance.FixColliders();

                        var Effect = new GameObject("Glow");
            		Effect.transform.SetParent(Instance.transform);
            		Effect.transform.rotation = Instance.transform.rotation;
            		Effect.transform.localPosition = new Vector3(0f, .0f);
            		Effect.transform.localScale = new Vector3(1f, 1f);
            		var EffectSprite = Effect.AddComponent<SpriteRenderer>();
            		EffectSprite.sprite = ModAPI.LoadSprite("Sprites/ReverendGravManipulatorGlow.png");
            		EffectSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
            		EffectSprite.color = new Color32(201, 157, 54, 75);
                    EffectSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                    }
                }
            );  
        }
    }
    public class Warmth : MonoBehaviour
    {
        public void Update()
        {
            gameObject.GetComponent<PhysicalBehaviour>().Temperature = 500f;
        }
    }
}
 